CancelAutoSnapshotPolicy
1. API Description
This API (CancelAutoSnapshotPolicy) is used to remove one or more disks from a snapshot schedule.
2. Input Parameters
The following request parameter list only provides API request parameters.
autoSnapshotPolicyId
Yes
String
Snapshot schedule ID.
It can be obtained by calling DescribeAutoSnapshotPolicies.
diskIds
Yes
Array of String
ID list of the disks to be removed.
It can be obtained by calling DescribeDisks.
3. Output Parameters
requestId
String
The unique request ID, which is returned for each request.
RequestId is required for locating a problem.
4. Code Example
Detach disks from the snapshot schedule.
POST /api/v2/zec HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: CancelAutoSnapshotPolicy
<Common Request Params>
Request:
{
"autoSnapshotPolicyId": "<autoSnapshotPolicyId>",
"diskIds": [
"<diskId>"
]
}
Response:
{
"requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3",
"response": {
"requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3"
}
}5. Developer Resources
Zenlayer Cloud API 2.0 integrates SDKs,to make it easier for you to call APIs. More programming languages will be supported.
6. Error Codes
The following only lists the error codes related to the API business logic. For other error codes, see Common Error Codes.
404
INVALID_AUTO_SNAPSHOT_POLICY_NOT_FOUND
The snapshot schedule does not exist.
Last updated